> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/dock-activities.md).

# Dock activities

## GET /dock-activities/

> Beta: List dock activities

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"DockActivities"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"DockActivities":{"properties":{"count":{"type":"integer"},"next":{"nullable":true,"type":"string"},"previous":{"nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/DockActivity"},"type":"array"}},"type":"object"},"DockActivity":{"properties":{"uid":{"description":"uid of this Activity","format":"uuid","type":"string"},"transport_uid":{"description":"uid of the transport containing this Activity","format":"uuid","type":"string"},"transport_tags":{"items":{"type":"string"},"type":"array"},"dock_done_observations":{"description":"Observations set by dock when activity was done by dock","type":"string"},"dock_done_date":{"format":"date-time","type":"string"},"trucker":{"$ref":"#/components/schemas/DockActivity_trucker"},"carrier":{"$ref":"#/components/schemas/DockActivity_carrier"},"shipper":{"$ref":"#/components/schemas/DockActivity_shipper"},"shipper_reference":{"description":"Shipper reference on the activity's transport","type":"string"},"vehicle":{"$ref":"#/components/schemas/DockActivity_vehicle"},"trailer":{"type":"object"},"category":{"description":"Type of the activity. Possible values: loading, unloading, breaking, resuming","type":"string"},"loads":{"items":{"$ref":"#/components/schemas/DockActivity_loads"},"type":"array"}},"type":"object"},"DockActivity_trucker":{"properties":{"pk":{"description":"Id of the trucker","type":"number"},"display_name":{"description":"Full name of the trucker","type":"string"}},"type":"object"},"DockActivity_carrier":{"properties":{"pk":{"description":"Id of the carrier","type":"number"},"name":{"description":"Name of the carrier","type":"string"}},"type":"object"},"DockActivity_shipper":{"properties":{"pk":{"description":"Id of the shipping company","type":"number"},"name":{"description":"Name of the shipper","type":"string"}},"type":"object"},"DockActivity_vehicle":{"properties":{"pk":{"description":"Id of the vehicle","type":"number"},"license_plate":{"type":"string"}},"type":"object"},"DockActivity_loads":{"properties":{"uid":{"description":"Id of the load","format":"uuid","type":"string"},"description":{"description":"Description of the load","type":"string"},"loading_scheduled_date":{"description":"Date of scheduled loading","format":"date-time","type":"string"},"unloading_scheduled_date":{"description":"Date of scheduled unloading","format":"date-time","type":"string"},"loading_address":{"$ref":"#/components/schemas/DockActivity_loading_address"},"unloading_address":{"$ref":"#/components/schemas/DockActivity_loading_address"},"quantity":{"format":"float","type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field","type":"string"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"is_dangerous":{"type":"boolean"}},"type":"object"},"DockActivity_loading_address":{"properties":{"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"}}},"paths":{"/dock-activities/":{"get":{"operationId":"listDockActivities","parameters":[{"description":"A page number within the paginated result set.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Filter dock activities with a date greater or equal than provided value. This filter is based on effective date if applicable, or scheduled date of applicable, or requested date.","in":"query","name":"date__gte","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Filter dock activities with a date lower or equal than provided value. This filter is based on effective date if applicable, or scheduled date of applicable, or requested date.","in":"query","name":"date__lte","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Filter dock activities with no date. This filter is based on effective date if applicable, or scheduled date of applicable, or requested date.","in":"query","name":"no_date","required":false,"schema":{"type":"boolean"}},{"description":"Comma-separated list of address ids for the requested dock activities","in":"query","name":"address_id__in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DockActivities"}}},"description":"Get successful"}},"summary":"Beta: List dock activities","tags":["DockActivities"]}}}}
````

## Beta: Mark loaded by dock

> Mark the dock site activity as loaded by dock

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"DockActivities"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"requestBodies":{"inline_object":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_object"}}},"required":true}},"schemas":{"inline_object":{"properties":{"observations":{"description":"Observations by the dock during the loading operation","type":"string"}},"type":"object"}}},"paths":{"/dock-activities/{uid}/mark-loaded-by-dock/":{"post":{"description":"Mark the dock site activity as loaded by dock","operationId":"markDockActivityLoadedByDock","parameters":[{"in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"requestBody":{"$ref":"#/components/requestBodies/inline_object","content":{"application/json":{"schema":{"properties":{"observations":{"description":"Observations by the dock during the loading operation","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"description":"Mark loaded by dock successful"}},"summary":"Beta: Mark loaded by dock","tags":["DockActivities"]}}}}
````

## Beta: Mark unloaded by dock

> Mark the dock site activity as unloaded by dock

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"DockActivities"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"requestBodies":{"inline_object_1":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_object_1"}}},"required":true}},"schemas":{"inline_object_1":{"properties":{"observations":{"description":"Observations by the dock during the unloading operation","type":"string"}},"type":"object"}}},"paths":{"/dock-activities/{uid}/mark-unloaded-by-dock/":{"post":{"description":"Mark the dock site activity as unloaded by dock","operationId":"markDockActivityUnloadedByDock","parameters":[{"in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"requestBody":{"$ref":"#/components/requestBodies/inline_object_1","content":{"application/json":{"schema":{"properties":{"observations":{"description":"Observations by the dock during the unloading operation","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"description":"Mark unloaded by dock successful"}},"summary":"Beta: Mark unloaded by dock","tags":["DockActivities"]}}}}
````
